Filetrip Logo


Ace3ds fix file for 3DS 2.2.0-4 1.0



Ace3ds card can support 3DS V2.2.0-4 perfectly,please use this upgrade pack to update your ace3ds to run on 3DS v2.2.0-4J!

Souce: http://www.gamekool.com/ace3ds-for-dsdsi3ds-p-426.html

Change log (1.0):
comments powered by Disqus